Subject: Re: meson: Installing completions

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 7 Apr 2025 10:01:24 +0200

On Wed, Apr 02, 2025 at 10:05:26AM -0400, Todd Zullinger wrote:
> Patrick Steinhardt wrote:
> > On Tue, Apr 01, 2025 at 08:58:38PM -0400, Todd Zullinger wrote:
> [...]
> > One of the questions is whether we gain a lot by making this an option.
> > If packagers have to manually adapt the location they could just as well
> > copy the file by hand as there is no build step involved in the first
> > place. I also think that for Bash and zsh the locations are somewhat
> > stable across distros these days, so ideally we could just build on that
> > and not even provide an option in the first place?
> > 
> > I'm mostly trying to avoid to eventually end up with tons of build
> > options. Ideally, we should just do the right thing and install the
> > completion scripts into the correct location in the specified prefix.
> > 
> > At least if we can get away with it. It seems like the default location
> > would work alright for you on Fedora, and I assume that it would work
> > alright for most of the other distros. So I'd refrain from introducing
> > an option now, but if we eventually figure out that this is problematic
> > on some distro then we can still introduce the option at a later point
> > in time.
> 
> Yeah, if the locations are the same across all of the
> systems we aim to support are consistent, then I agree
> there's not a lot of point making it configurable.
> 
> Whether that turns out to be the case or not will be
> interesting.  It seems like there are almost always a few
> systems that do things differently for one reason or
> another.  With luck, this is an exception.
> 
> >> For reference, here are the locations for bash, fish, and
> >> zsh which Fedora uses.  This might be helpful in determining
> >> reasonable defaults (after comparing to other distributions,
> >> of course):
> >> 
> >>     bash /usr/share/bash-completion/completions
> >>     fish /usr/share/fish/vendor_completions.d
> >>     zsh  /usr/share/zsh/site-functions
> > 
> > We don't have completions for the Fish shell, right? Just making sure
> > that I don't miss the obvious.
> 
> Heh, we don't -- as far as I know either. :)
> 
> Those three just happen to be the shells which have a
> packaging macro for the path in Fedora.
> 
> Cheers,

I've sent a patch via [1] now. Thanks!

Patrick

[1]: <[email-masked]>